Subject: Yukon flora/Yukon addresses

From: [email-masked] (Sonya Banks)
Date: Sun, 19 Mar 1995 16:15:19 AST

I am going to the Yukon this summer and I would like to know what is the flora 
that is generally used for that area.  Here in Prince Edward Island, we use 
both the Flora of Nova Scotia and the Flora of New Brunswick.   By the way 
where would a roving botanist find a job in the Yukon.  I'd appreciate any 
addresses, web sites that would help me do some legwork before I leave

many thanks,

Banks